POST
/v1/admin/webhooks
Create Webhook
curl -X POST https://api.{cluster}.{platform}.voiger.io/v1/admin/webhooks \
-H "Cookie: sid=$VOIGER_SESSION" \
-H "x-workspace-code: your-workspace-code" \
-H "x-csrf-token: $CSRF_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"webhook": {
"url": "https://example.com/webhooks",
"version": 1,
"resources": {
"call": [
"finished"
]
},
"auth_type": "signing_secret",
"headers": {
"X-Custom-Token": "my-secret-token"
}
}
}'
const res = await fetch("https://api.{cluster}.{platform}.voiger.io/v1/admin/webhooks", {
method: "POST",
credentials: "include",
headers: { "x-workspace-code": "your-workspace-code" },
headers: { "Content-Type": "application/json", "x-csrf-token": csrf },
body: JSON.stringify({
"webhook": {
"url": "https://example.com/webhooks",
"version": 1,
"resources": {
"call": [
"finished"
]
},
"auth_type": "signing_secret",
"headers": {
"X-Custom-Token": "my-secret-token"
}
}
}),
})
const data = await res.json()
Parameters
x-workspace-code
string
required
in header
x-csrf-token
string
required
in header
json · 201
{
"webhook": {
"id": "a84cb954-52d3-4a11-82ef-5e74c8dfbe01",
"url": "https://example.com/webhooks",
"version": 1,
"resources": {
"call": [
"finished"
]
},
"auth_type": "signing_secret",
"auth": {
"secret": "whsec_b0b46ecbf4b434ff1d8fae5ef68e83344a77e5d87178ee9ef25aa37c870a"
},
"status": "disabled",
"created_at": "2026-10-27T10:00:00Z",
"updated_at": "2026-10-27T10:00:00Z"
}
}